---
apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  creationTimestamp: null
  labels:
    run: {{ application_name }}
  name: {{ application_name }}
spec:
  replicas: 2
  selector:
    matchLabels:
      run: {{ application_name }}
  strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 1
      type: RollingUpdate
  strategy: {}
  template:
    metadata:
      creationTimestamp: null
      labels:
        run: {{ application_name }}
    spec:
      containers:
      - image: {{ image_name }}:{{ image_version }}
        name: {{ application_name }} 
        imagePullPolicy: Never
        resources: {}
---
apiVersion: v1
kind: Service
metadata:
  creationTimestamp: null
  labels:
    run: {{ application_name }}
  name: {{ application_name }}
spec:
  ports:
  - port: 3000
    protocol: TCP
    targetPort: 3000
  selector:
    run: {{ application_name }}
status:
  loadBalancer: {}
---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: {{ application_name }}
  labels:
    app: {{ application_name }}
spec:
  rules:
  - host: {{ application_name }}.{{ ip_node.stdout }}.nip.io
    http:
      paths:
      - path: /
        backend:
          serviceName: {{ application_name }}
          servicePort: 3000